Bug 842999 - [virtio-win][netkvm] Package length with SSH protocol always <=1514 on WinXP when keeping netkvm parameters "TestOnly.Scatter-Gather" and "Offload Tx LSO" as default value "enable"
[virtio-win][netkvm] Package length with SSH protocol always <=1514 on WinXP ...
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: virtio-win (Show other bugs)
6.4
Unspecified Unspecified
low Severity low
: rc
: ---
Assigned To: Yan Vugenfirer
Virtualization Bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-25 05:13 EDT by dawu
Modified: 2013-04-30 19:06 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-07-29 07:03:48 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description dawu 2012-07-25 05:13:40 EDT
Description of problem:
 Package length with SSH protocol always <=1514 on WinXP when keeping netkvm parameters "TestOnly.Scatter-Gather" and "Offload Tx LSO" as default value "enable", for other platforms, can find packages with length >=1514.

Version-Release number of selected component (if applicable):
kernel-2.6.32-279.el6.x86_64
qemu-kvm-0.12.1.2-2.295.el6.x86_64
virtio-win-1.5.3


How reproducible:
always

Steps to Reproduce:
1. Start guest with CLI:
   /usr/libexec/qemu-kvm -m 2G -smp 2 -cpu cpu64-rhel6,+x2apic,family=0xf -usb -device usb-tablet -drive file=winxp.qcow2,format=qcow2,if=none,id=drive-ide0-0-0,werror=stop,rerror=stop,cache=none -device ide-drive,bus=ide.0,unit=0,drive=drive-ide0-0-0,id=ide0-0-0,bootindex=1 -netdev tap,sndbuf=0,id=hostnet0,script=/etc/qemu-ifup,downscript=no -device virtio-net-pci,netdev=hostnet0,mac=90:10:1a:75:50:03,bus=pci.0,addr=0x4,id=virtio-net-pci0 -uuid a732b192-db0f-4130-9fb7-5317e4c98c7e -rtc base=localtime -no-kvm-pit-reinjection -chardev socket,id=111a,path=/tmp/winxp,server,nowait -mon chardev=111a,mode=readline -name xp-rhel63 -vnc :1 -monitor stdio

2. Set  "TestOnly.Scatter-Gather" and "Offload Tx LSO" to enable, and keep MTU size as default 1500

3. in guest, use winscp to scp file from guest to host ,at the same time ,open wireshark to listenning the package.

Actually result:
   Can not find any package with SSH protocol which length is >= 1514 on winxp
 
Expect Result:
   Length of some package wih SSH protocol should be >=1514
 
Additional info:
 1.This issue only reproduce on winxp, can not hit this issue on other guests (win2k8/win2k8-R2/win7/win2k3)
 2.Also tried with netperf, this issue also exist on winxp, the package length with TCP protocol still always <= 1514, but for other guest like win2k8-64, can found package with TCP protocol >=1514.
   CLI with netperf: netperf -H 10.66.9.242 -t TCP_STREAM -- -m 4096
Comment 2 Ronen Hod 2012-07-25 05:27:32 EDT
Closing.
We decided to freeze the XP drivers at their current phase as much as we can, so this non-critical bug is here in case we will decide to fix XP bugs.

Thanks, Ronen.
Comment 3 Yan Vugenfirer 2012-07-29 07:03:48 EDT
Closing according to comment #2.

Note You need to log in before you can comment on or make changes to this bug.